#
# spec file for package mailman (Version 2.0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  python
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mailman
Copyright:    GPL
Group:        Applications/Internet
URL:	      http://www.gnu.org/software/mailman/mailman.html
Provides:     mailman
Requires:     python
Autoreqprov:  on
Summary:      mailman
Version:      2.0.6
Release:      59
Source:       %{name}-%{version}.tgz
BuildRoot:    /var/tmp/%{name}-root
Patch:        %{name}-%{version}.dif 

%description
This is the GNU mailinglist manager mailman. Provides an easy to configure means of
maintaining mailing lists including web-administration. Mailman is based on python.

Authors:
--------
    John Viega <mailman-users@python.org>

SuSE series: n

%prep
%setup -n %{name}-%{version}
%patch -p1

%build
%{?suse_update_config:%{suse_update_config -l -f build}}
mkdir -p $RPM_BUILD_ROOT/usr/lib/mailman
mkdir -p /usr/lib/mailman 
mkdir -p $RPM_BUILD_ROOT/var/spool/mailman
mkdir -p /var/spool/mailman
chgrp mdom $RPM_BUILD_ROOT/usr/lib/mailman
chgrp mdom /usr/lib/mailman
chgrp mdom $RPM_BUILD_ROOT/var/spool/mailman   
chgrp mdom /var/spool/mailman
chmod a+rx,g+ws $RPM_BUILD_ROOT/usr/lib/mailman
chmod a+rx,g+ws $RPM_BUILD_ROOT/var/spool/mailman
chmod a+rx,g+ws /usr/lib/mailman
chmod a+rx,g+ws /var/spool/mailman 
autoconf
NOGROUPGID=`cat /etc/group | grep ^nogroup |cut -d: -f 3`
SENDMAILGID=`cat /etc/group | grep ^daemon |cut -d: -f 3`
./configure --prefix=/usr/lib/mailman --sysconfdir=/etc \
	--localstatedir=/var/run --libexecdir=/usr/lib/mailman \
	--mandir=%{_mandir} --with-groupname=mdom --with-username=mdom \
	--with-var-prefix=/var/spool/mailman \
	--with-cgi-gid=$NOGROUPGID --with-mail-gid=$SENDMAILGID
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/cron.d/
awk '/^[0-9,\*]/ { print $1 " " $2 " " $3 " " $4 " " $5 " mdom " $6 " " $7 " " $8 } /^\#/ { print $0 }' \
	$RPM_BUILD_ROOT/usr/lib/mailman/cron/crontab.in \
	> $RPM_BUILD_ROOT/etc/cron.d/mailman  

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/mailman-notify
Please read /usr/share/doc/packages/mailman/README.SuSE.
Crontab entries are located in /etc/cron.d/mailman.
Sincerely,
Your SuSE Team
EOT

%files
%doc ACKNOWLEDGMENTS
%doc BUGS
%doc FAQ
%doc INSTALL
%doc NEWS
%doc README
%doc README.BSD
%doc README.EXIM
%doc README.LINUX
%doc README.NETSCAPE
%doc README.QMAIL
%doc README.SENDMAIL
%doc README.SuSE
%doc TODO
%doc UPGRADING
%doc gnu-COPYING-GPL   
/usr/lib/mailman
/var/spool/mailman
/etc/cron.d/mailman

%changelog -n mailman
* Sun Aug 19 2001 - iboernig@suse.de
- update to new stable version 2.0.6
* Sun Aug 19 2001 - iboernig@suse.de
- fixed bug in specfile (Bug #9519) Apache GID is now nogroup again.
* Wed Apr 25 2001 - iboernig@suse.de
- changed mailgid to "daemon". It should work now with sendmail.
  Postfix users have to change default_privs
* Fri Mar 16 2001 - iboernig@suse.de
- updated to version 2.0.3, includes minor security fix
* Fri Jan 05 2001 - iboernig@suse.de
- bugfix: move crontab entry to /etc/cron.d/mailman
- notify user in %%post-section
- created README.SuSE
* Thu Dec 28 2000 - choeger@suse.de
- bugfix: --prefix=$RPM_BUILD_ROOT does NOT work, because then
  /var/tmp/mailman-* would be compiled into some .c files
  changed Makefiles to allow DESTDIR=/path
- create crontab entries in postinstall
- use gid of nogroup also for mail-wrapper
* Thu Nov 30 2000 - iboernig@suse.de
- changed default user.group to mdom.mdom
* Wed Nov 29 2000 - iboernig@suse.de
- initial version
